Bug 163760 - mhshow fails to read mhshow-show-text/html from mhn.defaults
mhshow fails to read mhshow-show-text/html from mhn.defaults
Product: Fedora
Classification: Fedora
Component: nmh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Josh Bressers
Fedora Extras Quality Assurance
: 163763 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-07-20 16:57 EDT by Joel Uckelman
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-12-13 21:52:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for nmh-1.1 (690 bytes, patch)
2005-11-19 05:28 EST, Michael Forrest
no flags Details | Diff

  None (edit)
Description Joel Uckelman 2005-07-20 16:57:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.9) Gecko/20050711 Firefox/1.0.5

Description of problem:
If I put the following line in /etc/nmh/nmh.defaults:

 mhshow-show-text/html: %plynx -dump -localhost -force_html -noredir '%F' | less

it is ignored and html messages are shown as raw html. But if I put that same line in my ~/.mh_profile, lynx is called and renders the html. I know that the settings in mhn.defaults aren't all being ignored by mhshow, since whether I have

 mhshow-charset-iso-8859-1: %s

there makes a difference when reading messages with that charset.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Get a message which has Content-type: text/html.
2. mhshow

Actual Results:  mhshow displays a bunch of raw html.

Expected Results:  mhshow should call lynx to render the html.

Additional info:
Comment 1 Joel Uckelman 2005-07-20 17:07:58 EDT
*** Bug 163763 has been marked as a duplicate of this bug. ***
Comment 2 Josh Bressers 2005-07-21 01:03:52 EDT
OK, I've verified this bug.  It's fixed in the upstream CVS.  I'll try to find
the fix in the very near future.
Comment 3 Josh Bressers 2005-09-14 08:37:33 EDT
I've not had time to extract a proper patch, and I no longer plan on doing so. 
There is a new release of nmh on the way, and I'd rather just wait to package
the new versus fixing the old:
Comment 4 Michael Forrest 2005-11-19 05:24:40 EST
I have a source patch for this very issue, which causes mhshow to effectively
ignore mhn.defaults when at the point of deciding what program to use.

The problem is that the settings read in from mhn.defaults are overwritten
by another call to context_read().

Thius patch short-circuits the secondary call to that function.

Then the mhshow tool of choice is properly obeyed from mhn.defaults.
Comment 5 Michael Forrest 2005-11-19 05:28:39 EST
Created attachment 121260 [details]
Patch for nmh-1.1

This patch is relatively straightforward fix for this regression (it used to
work way back in RH9!!).
Comment 6 Josh Bressers 2005-12-13 20:46:50 EST

Thanks for the patch.  I'm sorry this bug has been open for so long, the nmh
release is taking much longer than expected.  I'm checking in this into the nmh
cvs repository tonight.  If there is no 1.2 before the new year, or I need to
roll a new nmh for some reason, I will include this patch.
Comment 7 Josh Bressers 2005-12-13 21:52:33 EST
I found some time this evening to patch this.  Look for nmh-1.1-14.fc[345] to
show up soon in extras.

Note You need to log in before you can comment on or make changes to this bug.